Debian Bug report logs - #664812
freebsd-nfs-common: rpc.lockd doesn't start

version graph

Package: freebsd-nfs-common; Maintainer for freebsd-nfs-common is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for freebsd-nfs-common is src:freebsd-utils.

Reported by: Christoph Egger <christoph@debian.org>

Date: Wed, 21 Mar 2012 00:15:01 UTC

Severity: important

Tags: help

Found in version freebsd-utils/9.0+ds1-1

Fixed in version freebsd-utils/9.0+ds1-10

Done: Christoph Egger <christoph@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#664812; Package freebsd-nfs-common. (Wed, 21 Mar 2012 00:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Wed, 21 Mar 2012 00:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: freebsd-nfs-common: rpc.lockd doesn't start
Date: Wed, 21 Mar 2012 01:10:08 +0100
Package: freebsd-nfs-common
Version: 9.0+ds1-1
Severity: important

Starting rpc.lockd using the init script (or having it started at
boottime) doesn't result in a running rpc.lockd (and thus working NFS
locking). Even starting rpc.lockd with -d 4 doesn't cause any output
to be sent to syslog or daemonlog apart from the 'starting' message.

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (1, 'experimental')
Architecture: kfreebsd-i386 (i386)

Kernel: kFreeBSD 8.3-0-686
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages freebsd-nfs-common depends on:
ii  libbsd0    0.3.0-2
ii  libc0.1    2.13-27
ii  libtirpc1  0.2.2-5
ii  rpcbind    0.2.0-7

freebsd-nfs-common recommends no packages.

freebsd-nfs-common suggests no packages.

-- no debconf information




Added tag(s) help. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Wed, 21 Mar 2012 21:16:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#664812; Package freebsd-nfs-common. (Sun, 25 Mar 2012 13:33:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 25 Mar 2012 13:33:19 GMT) Full text and rfc822 format available.

Message #12 received at 664812@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: 664812@bugs.debian.org
Subject: NFS file locking
Date: Sun, 25 Mar 2012 15:33:44 +0200
Hi!

  Reading rpc.lockd code the rpc.lockd program is supposed to stop if it
detects locking support in the kernel which it correctly does (kldstat
-v | grep nfs)

% kldstat -v | grep nfs
		353 nfssvc
		352 nfsserver
		354 nfslockd
		349 nfs_common
		351 nfs
		350 nfslock

However, listening with wireshark for any locking requests doesn't show
any package (while it works for a linux/squeeze client locking a file on
the same linux/wheezy server)

Regards

    Christoph

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#664812; Package freebsd-nfs-common. (Sun, 25 Mar 2012 21:00:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 25 Mar 2012 21:00:07 GMT) Full text and rfc822 format available.

Message #17 received at 664812@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: 664812@bugs.debian.org
Subject: rpc.lockd on kfreebsd
Date: Sun, 25 Mar 2012 22:58:54 +0200
Hi!

  tracing things down on a "pure" freebsd it seems there should be a
rpc.lockd running after all even in the case with kernel support (thus
invalidating my last mail). Will give it another debugging session asap.

Regards

    Christoph

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#664812; Package freebsd-nfs-common. (Mon, 26 Mar 2012 18:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Mon, 26 Mar 2012 18:45:03 GMT) Full text and rfc822 format available.

Message #22 received at 664812@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: 664812@bugs.debian.org
Subject: Re: Bug#664812: rpc.lockd on kfreebsd
Date: Mon, 26 Mar 2012 20:41:48 +0200
Hi!

Christoph Egger <christoph@debian.org> writes:
>   tracing things down on a "pure" freebsd it seems there should be a
> rpc.lockd running after all even in the case with kernel support (thus
> invalidating my last mail). Will give it another debugging session asap.

 47878 rpc.lockd RET   nlm_syscall -1 errno 14 Bad address
 47878 rpc.lockd CALL  exit(0x1)

which should correspond to

                        /*                                                                                                                                
                         * The kernel lockd implementation provides                                                                                       
                         * both client and server so we don't need to                                                                                     
                         * do anything else.                                                                                                              
                         */
                        nlm_syscall(debug_level, grace_period, naddrs, addrs);
		}
	} else {

[...]

	}
	exit(1);
}

Code of nlm_syscall is

#include <sys/syscall.h>

#ifndef SYS_nlm_syscall
#define SYS_nlm_syscall         154
#endif

int
nlm_syscall (int a, int b, int c, char **d)
{
  return syscall (SYS_nlm_syscall, a, b, c, d);
}


getting away with the daemon(3) call:

Breakpoint 2, main (argc=1, argv=0xbfbfe6e8) at lockd.c:471
471				nlm_syscall(debug_level, grace_period, naddrs, addrs);
(gdb) print addrs
$1 = (char **) 0x806a110
(gdb) print addrs[0]
$2 = 0x8069328 "udp"
(gdb) print addrs[1]
$3 = 0x8068cc8 "0.0.0.0.0.0"
(gdb) print addrs[2]
$4 = 0x80697c0 "tcp"
(gdb) print addrs[3]
$5 = 0x0
(gdb) print addrs[4]
$6 = 0x8069c80 "udp6"
(gdb) print addrs[5]
$7 = 0x0
(gdb) print addrs[6]
$8 = 0x806a138 "tcp6"
(gdb) print addrs[7]
$9 = 0x0
(gdb) print addrs[8]
$10 = 0x0
(gdb) print addrs[9]
$11 = 0x11 <Address 0x11 out of bounds>
(gdb) print debug_level 
$12 = 0
(gdb) print grace_period 
$13 = 30
(gdb) print naddrs 
$14 = 4
(gdb) step
nlm_syscall (a=0, b=30, c=4, d=0x806a110) at nlm_syscall.c:9
9	{
(gdb) step
10	  return syscall (SYS_nlm_syscall, a, b, c, d);
(gdb) step
9	{
(gdb) 
10	  return syscall (SYS_nlm_syscall, a, b, c, d);
(gdb) 
11	}
(gdb) 
main (argc=1, argv=0xbfbfe6e8) at lockd.c:357
357								exit(1);
(gdb) 
[Inferior 1 (process 55624) exited with code 01]
warning: Error removing breakpoint 0
warning: Error removing breakpoint 0
warning: Error removing breakpoint 0
warning: Error removing breakpoint 0
warning: Error removing breakpoint 0

Regards

    Christoph

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#664812; Package freebsd-nfs-common. (Mon, 26 Mar 2012 19:00:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Mon, 26 Mar 2012 19:00:15 GMT) Full text and rfc822 format available.

Message #27 received at 664812@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: 664812@bugs.debian.org
Subject: Re: Bug#664812: rpc.lockd on kfreebsd
Date: Mon, 26 Mar 2012 21:00:56 +0200
Note: running `rpc.lockd -h $IPadress` works just fine

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Information forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#664812; Package freebsd-nfs-common. (Tue, 20 Nov 2012 21:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-bsd@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Tue, 20 Nov 2012 21:12:04 GMT) Full text and rfc822 format available.

Message #32 received at 664812@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: 664812@bugs.debian.org
Subject: rpc.lockd fix for wheezy?
Date: Tue, 20 Nov 2012 13:08:15 -0800
Hi!

  Guess we should try to get a working rpc.lockd (nfs file locking) done
for wheezy. As far as the bug goes (and my memories serve me) when not
passing a IP address to rpc.lockd it generates something it considers a
wildcard address that is 5 compo0nents instead of something valid for
either IPv4 or IPv6. Fix could be to fix the code or pass a good enough
-h $something in the init script by default and try to persuade -release
to get this accepted (I guess they would). I'm thouygh not sure a IPv6
address worked for -h and if passing -h 0.0.0.0 and limiting thereby to
IPv4 is "good enough"

Regards

    Christoph



Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#664812; Package freebsd-nfs-common. (Sat, 22 Dec 2012 00:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sat, 22 Dec 2012 00:03:03 GMT) Full text and rfc822 format available.

Message #37 received at 664812@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Christoph Egger <christoph@debian.org>, 664812@bugs.debian.org
Cc: "debian-bsd@lists.debian.org" <debian-bsd@lists.debian.org>
Subject: Re: Bug#664812: rpc.lockd on kfreebsd
Date: Fri, 21 Dec 2012 23:58:26 +0000
Hi,

On 26/03/12 19:41, Christoph Egger wrote:
>  47878 rpc.lockd RET   nlm_syscall -1 errno 14 Bad address
>  47878 rpc.lockd CALL  exit(0x1)

I've an idea this may be related to:

> cc -Wall -g -pipe -fPIC -I. -D_GNU_SOURCE -D__va_list=__builtin_va_list -isystem /usr/include/tirpc -D__FreeBSD_version=__FreeBSD_kernel_version -O2 -isystem /usr/include/freebsd -I/build/buildd-freebsd-utils_9.0+ds1-8-kfreebsd-i386-vUpCIn/freebsd-utils-9.0+ds1/debian/local/include -I/build/buildd-freebsd-utils_9.0+ds1-8-kfreebsd-i386-vUpCIn/freebsd-utils-9.0+ds1/include -lbsd  -I. -I/build/buildd-freebsd-utils_9.0+ds1-8-kfreebsd-i386-vUpCIn/freebsd-utils-9.0+ds1/usr.sbin/rpc.lockd/../../include/rpcsvc -Wall -g -pipe -fPIC -I. -D_GNU_SOURCE -D__va_list=__builtin_va_list -isystem /usr/include/tirpc -D__FreeBSD_version=__FreeBSD_kernel_version -O2 -std=gnu99 -fstack-protector -Wall -Wno-format-y2k -W -Wno-unused-parameter -Wstrict-prototypes -Wmissing-prototypes -Wpointer-arith -Wno-uninitialized -Wno-pointer-sign -c lockd.c
> lockd.c: In function 'main':
> lockd.c:462:5: warning: implicit declaration of function 'nlm_syscall' [-Wimplicit-function-declaration]

and:

> cc -Wall -g -pipe -fPIC -I. -D_GNU_SOURCE -D__va_list=__builtin_va_list -isystem /usr/include/tirpc -D__FreeBSD_version=__FreeBSD_kernel_version -O2 -isystem /usr/include/freebsd -I/build/buildd-freebsd-utils_9.0+ds1-8-kfreebsd-i386-vUpCIn/freebsd-utils-9.0+ds1/debian/local/include -I/build/buildd-freebsd-utils_9.0+ds1-8-kfreebsd-i386-vUpCIn/freebsd-utils-9.0+ds1/include -lbsd  -I. -I/build/buildd-freebsd-utils_9.0+ds1-8-kfreebsd-i386-vUpCIn/freebsd-utils-9.0+ds1/usr.sbin/rpc.lockd/../../include/rpcsvc -Wall -g -pipe -fPIC -I. -D_GNU_SOURCE -D__va_list=__builtin_va_list -isystem /usr/include/tirpc -D__FreeBSD_version=__FreeBSD_kernel_version -O2 -std=gnu99 -fstack-protector -Wall -Wno-format-y2k -W -Wno-unused-parameter -Wstrict-prototypes -Wmissing-prototypes -Wpointer-arith -Wno-uninitialized -Wno-pointer-sign -c nlm_syscall.c
> nlm_syscall.c:8:1: warning: no previous prototype for 'nlm_syscall' [-Wmissing-prototypes]
> nlm_syscall.c: In function 'nlm_syscall':
> nlm_syscall.c:10:3: warning: implicit declaration of function 'syscall' [-Wimplicit-function-declaration]

which I noticed while looking into #685625.  Could this mean the addrs
parameter gets truncated to a 32-bit int by the time the syscall() happens?

See also:

http://lists.debian.org/50D4F523.7060605@pyro.eu.org
https://buildd.debian.org/~brlink/packages/f/freebsd-utils.html

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org



Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#664812; Package freebsd-nfs-common. (Wed, 09 Jan 2013 22:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Wed, 09 Jan 2013 22:00:03 GMT) Full text and rfc822 format available.

Message #42 received at 664812@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: Steven Chamberlain <steven@pyro.eu.org>
Cc: 664812@bugs.debian.org, "debian-bsd\@lists.debian.org" <debian-bsd@lists.debian.org>
Subject: Re: Bug#664812: rpc.lockd on kfreebsd
Date: Wed, 09 Jan 2013 13:28:05 -0800
Hi!

Steven Chamberlain <steven@pyro.eu.org> writes:
> On 26/03/12 19:41, Christoph Egger wrote:
>>  47878 rpc.lockd RET   nlm_syscall -1 errno 14 Bad address
>>  47878 rpc.lockd CALL  exit(0x1)
>
> I've an idea this may be related to:
>
>> cc -Wall -g -pipe -fPIC -I. -D_GNU_SOURCE
>> -D__va_list=__builtin_va_list -isystem /usr/include/tirpc
>> -D__FreeBSD_version=__FreeBSD_kernel_version -O2 -isystem
>> /usr/include/freebsd
>> -I/build/buildd-freebsd-utils_9.0+ds1-8-kfreebsd-i386-vUpCIn/freebsd-utils-9.0+ds1/debian/local/include
>> -I/build/buildd-freebsd-utils_9.0+ds1-8-kfreebsd-i386-vUpCIn/freebsd-utils-9.0+ds1/include
>> -lbsd
>> -I. -I/build/buildd-freebsd-utils_9.0+ds1-8-kfreebsd-i386-vUpCIn/freebsd-utils-9.0+ds1/usr.sbin/rpc.lockd/../../include/rpcsvc
>> -Wall -g -pipe -fPIC -I. -D_GNU_SOURCE -D__va_list=__builtin_va_list
>> -isystem /usr/include/tirpc
>> -D__FreeBSD_version=__FreeBSD_kernel_version -O2 -std=gnu99
>> -fstack-protector -Wall -Wno-format-y2k -W -Wno-unused-parameter
>> -Wstrict-prototypes -Wmissing-prototypes -Wpointer-arith
>> -Wno-uninitialized -Wno-pointer-sign -c lockd.c
>> lockd.c: In function 'main':
>> lockd.c:462:5: warning: implicit declaration of function 'nlm_syscall' [-Wimplicit-function-declaration]
>
> and:
>
>> cc -Wall -g -pipe -fPIC -I. -D_GNU_SOURCE
>> -D__va_list=__builtin_va_list -isystem /usr/include/tirpc
>> -D__FreeBSD_version=__FreeBSD_kernel_version -O2 -isystem
>> /usr/include/freebsd
>> -I/build/buildd-freebsd-utils_9.0+ds1-8-kfreebsd-i386-vUpCIn/freebsd-utils-9.0+ds1/debian/local/include
>> -I/build/buildd-freebsd-utils_9.0+ds1-8-kfreebsd-i386-vUpCIn/freebsd-utils-9.0+ds1/include
>> -lbsd
>> -I. -I/build/buildd-freebsd-utils_9.0+ds1-8-kfreebsd-i386-vUpCIn/freebsd-utils-9.0+ds1/usr.sbin/rpc.lockd/../../include/rpcsvc
>> -Wall -g -pipe -fPIC -I. -D_GNU_SOURCE -D__va_list=__builtin_va_list
>> -isystem /usr/include/tirpc
>> -D__FreeBSD_version=__FreeBSD_kernel_version -O2 -std=gnu99
>> -fstack-protector -Wall -Wno-format-y2k -W -Wno-unused-parameter
>> -Wstrict-prototypes -Wmissing-prototypes -Wpointer-arith
>> -Wno-uninitialized -Wno-pointer-sign -c nlm_syscall.c
>> nlm_syscall.c:8:1: warning: no previous prototype for 'nlm_syscall' [-Wmissing-prototypes]
>> nlm_syscall.c: In function 'nlm_syscall':
>> nlm_syscall.c:10:3: warning: implicit declaration of function 'syscall' [-Wimplicit-function-declaration]
>
> which I noticed while looking into #685625.  Could this mean the addrs
> parameter gets truncated to a 32-bit int by the time the syscall() happens?

  It at least does not goe away with freebsd-utils -9 upload

Regards

    Christoph



Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#664812; Package freebsd-nfs-common. (Mon, 18 Mar 2013 01:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Mon, 18 Mar 2013 01:51:04 GMT) Full text and rfc822 format available.

Message #47 received at 664812@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Christoph Egger <christoph@debian.org>, 664812@bugs.debian.org
Cc: "debian-bsd@lists.debian.org" <debian-bsd@lists.debian.org>
Subject: Re: Bug#664812: rpc.lockd on kfreebsd
Date: Mon, 18 Mar 2013 01:46:45 +0000
[Message part 1 (text/plain, inline)]
I don't understand why the bug only happens on GNU/kFreeBSD, but the
changes in the attached patch appear to fix it.

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org
[bug664812.diff (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#664812; Package freebsd-nfs-common. (Mon, 18 Mar 2013 11:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Mon, 18 Mar 2013 11:03:07 GMT) Full text and rfc822 format available.

Message #52 received at 664812@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: Steven Chamberlain <steven@pyro.eu.org>
Cc: 664812@bugs.debian.org, "debian-bsd\@lists.debian.org" <debian-bsd@lists.debian.org>
Subject: Re: Bug#664812: rpc.lockd on kfreebsd
Date: Mon, 18 Mar 2013 12:00:08 +0100
Hi!

Steven Chamberlain <steven@pyro.eu.org> writes:
> I don't understand why the bug only happens on GNU/kFreeBSD, but the
> changes in the attached patch appear to fix it.

\o/ works here as well!

Thanks!

    Christoph



Reply sent to Christoph Egger <christoph@debian.org>:
You have taken responsibility. (Mon, 18 Mar 2013 11:21:05 GMT) Full text and rfc822 format available.

Notification sent to Christoph Egger <christoph@debian.org>:
Bug acknowledged by developer. (Mon, 18 Mar 2013 11:21:05 GMT) Full text and rfc822 format available.

Message #57 received at 664812-close@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: 664812-close@bugs.debian.org
Subject: Bug#664812: fixed in freebsd-utils 9.0+ds1-10
Date: Mon, 18 Mar 2013 11:17:57 +0000
Source: freebsd-utils
Source-Version: 9.0+ds1-10

We believe that the bug you reported is fixed in the latest version of
freebsd-utils, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 664812@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christoph Egger <christoph@debian.org> (supplier of updated freebsd-utils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 18 Mar 2013 11:54:48 +0100
Source: freebsd-utils
Binary: freebsd-utils freebsd-utils-udeb kldutils kldutils-udeb kbdcontrol kbdcontrol-udeb vidcontrol freebsd-net-tools freebsd-net-tools-udeb freebsd-nfs-server freebsd-nfs-common geom freebsd-geom freebsd-ppp devd devd-udeb ktrace pf powerd mkuzip
Architecture: source kfreebsd-amd64
Version: 9.0+ds1-10
Distribution: unstable
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Christoph Egger <christoph@debian.org>
Description: 
 devd       - device state change monitoring daemon
 devd-udeb  - device state change monitoring daemon (udeb)
 freebsd-geom - modular disk I/O request transformation framework (meta-package)
 freebsd-net-tools - FreeBSD networking tools
 freebsd-net-tools-udeb - FreeBSD networking tools (udeb)
 freebsd-nfs-common - NFS support files common to client and server
 freebsd-nfs-server - FreeBSD server utilities needed for NFS on GNU/kFreeBSD
 freebsd-ppp - FreeBSD Point-to-Point Protocol (PPP) userland daemon
 freebsd-utils - FreeBSD utilities needed for GNU/kFreeBSD
 freebsd-utils-udeb - FreeBSD utilities needed for GNU/kFreeBSD (udeb)
 geom       - modular disk I/O request transformation framework
 kbdcontrol - command-line tool to change keyboard layout on GNU/kFreeBSD
 kbdcontrol-udeb - command-line tool to change keyboard layout on GNU/kFreeBSD (udeb)
 kldutils   - tools for managing kFreeBSD modules
 kldutils-udeb - tools for managing kFreeBSD modules (udeb)
 ktrace     - A kernel call tracer
 mkuzip     - Disk image compression utility
 pf         - The OpenBSD Packet Filter
 powerd     - System utility for power control and energy saving
 vidcontrol - command-line tool to control the system console on GNU/kFreeBSD
Closes: 664812
Changes: 
 freebsd-utils (9.0+ds1-10) unstable; urgency=low
 .
   * Import patch by Steven Chamberlain to make rpc.lockd start without
     `-h' arguments (Closes: #664812)
   * Add me to uploaders
Checksums-Sha1: 
 899e5e6f43132f4978ce43abbeb4d3fd976bad55 3442 freebsd-utils_9.0+ds1-10.dsc
 4f6420be1ddbdd8f72aa0970943a8ca974890996 140699 freebsd-utils_9.0+ds1-10.debian.tar.gz
 c5ce44838e363df3f4aa696aadd1aa037e535861 266140 freebsd-utils_9.0+ds1-10_kfreebsd-amd64.deb
 8ba2227b857b9f2bcf40df8ed4bf6c967e71f603 12284 freebsd-utils-udeb_9.0+ds1-10_kfreebsd-amd64.udeb
 43ec8c4e97c2bf71171ad3ed3604d5e5f46f4505 41832 kldutils_9.0+ds1-10_kfreebsd-amd64.deb
 07e1aeaae5bd5d1341dd21f4ab82f58184b9401c 6044 kldutils-udeb_9.0+ds1-10_kfreebsd-amd64.udeb
 fe13c19612979b9113490d83a0c64e5f2f183b11 124208 kbdcontrol_9.0+ds1-10_kfreebsd-amd64.deb
 40f80c3aacd58bb9b8231cc450267d4e9e4defed 40668 kbdcontrol-udeb_9.0+ds1-10_kfreebsd-amd64.udeb
 2b0c5bf7b56c6d14d118ed835126b6185cb5a135 126326 vidcontrol_9.0+ds1-10_kfreebsd-amd64.deb
 011046b96f25622317cf6d3746d078d08247723d 225090 freebsd-net-tools_9.0+ds1-10_kfreebsd-amd64.deb
 0038a407877b6f1cad502d2d74548334f6fdd3d7 67442 freebsd-net-tools-udeb_9.0+ds1-10_kfreebsd-amd64.udeb
 c351cb5649a088dce92b75705c8f71a881582e4f 71244 freebsd-nfs-server_9.0+ds1-10_kfreebsd-amd64.deb
 cdc802f2e9b83f4f7107d6d5e5db56c00641a09c 79182 freebsd-nfs-common_9.0+ds1-10_kfreebsd-amd64.deb
 2012ea2a1d7cd6cc45120714d822799e017657ac 164984 geom_9.0+ds1-10_kfreebsd-amd64.deb
 b87de97af537ee7c75e59ac71b2329aca9a36d02 22798 freebsd-geom_9.0+ds1-10_kfreebsd-amd64.deb
 f3265eb93a7003a7b656f17d14fb598807813953 278574 freebsd-ppp_9.0+ds1-10_kfreebsd-amd64.deb
 7f6d15d7455a95d13e183924f50aee25b94b9cf3 109352 devd_9.0+ds1-10_kfreebsd-amd64.deb
 170c62f83192fa752c9e8a9c4abaeac323eab305 62716 devd-udeb_9.0+ds1-10_kfreebsd-amd64.udeb
 1b11a066be8db37b359b41f05ce708ffe8be61b5 57764 ktrace_9.0+ds1-10_kfreebsd-amd64.deb
 8419523f9be59b2e5485bb6d15b2990406081b80 205680 pf_9.0+ds1-10_kfreebsd-amd64.deb
 774b92d5a733d42208baa734a2c800d46a1a3a21 34184 powerd_9.0+ds1-10_kfreebsd-amd64.deb
 5dac3b151f90358e2ea6816cf575387b18a49168 28646 mkuzip_9.0+ds1-10_kfreebsd-amd64.deb
Checksums-Sha256: 
 4a473c087de84b367b7b771e079469b1b05067675ad991cd9d8289703311339c 3442 freebsd-utils_9.0+ds1-10.dsc
 4437e27daa5ed583a3bd88c0711501040211b8fc4e7d3c8bf13b7f03a52fb999 140699 freebsd-utils_9.0+ds1-10.debian.tar.gz
 2726e7d0f687da69f1b7faa569df652f8a1b621ec6982324c2e392c59c975233 266140 freebsd-utils_9.0+ds1-10_kfreebsd-amd64.deb
 5c456dc42f83df18fe00b699b777479df033e22f4c9f0f3b252848aaaa6eb0b9 12284 freebsd-utils-udeb_9.0+ds1-10_kfreebsd-amd64.udeb
 582ce9a45fe2ca7a82ba69854af20ab5bd77da5be90d49658395eb9cc5a72a5a 41832 kldutils_9.0+ds1-10_kfreebsd-amd64.deb
 107db3411f385c173a832e2425f1273b860bb496fd78d9677bb68adb786a056f 6044 kldutils-udeb_9.0+ds1-10_kfreebsd-amd64.udeb
 8603d5eba81408cc15a32bc8106ee3ce5e93f2f473fedd2739c4b419ba15944e 124208 kbdcontrol_9.0+ds1-10_kfreebsd-amd64.deb
 ed863dd9db23136f0a0f32129790a0da242956965303437b5831d24f55b0e116 40668 kbdcontrol-udeb_9.0+ds1-10_kfreebsd-amd64.udeb
 1e7fe8ce49cea09a1ce9e0c59f220b703bbc9a96e3a0749c34e71a36b7bcd2a0 126326 vidcontrol_9.0+ds1-10_kfreebsd-amd64.deb
 2b8c7a6db6f9f1a688f0410fea92fb4538d9e4c53b82ae9b2c765fbae6b3e85c 225090 freebsd-net-tools_9.0+ds1-10_kfreebsd-amd64.deb
 5377fc4f43d1ffeb65078dec41fe8c949e2e6389b08957787281ae26ebe46160 67442 freebsd-net-tools-udeb_9.0+ds1-10_kfreebsd-amd64.udeb
 1847da1333d143d71f27167483b62ac5ffe4aa8cff3d724279cacedd0701f5ad 71244 freebsd-nfs-server_9.0+ds1-10_kfreebsd-amd64.deb
 ad40b42e704fac54c80bf31b7a19d6bc5be67f230efdb85f75a302357354a9f2 79182 freebsd-nfs-common_9.0+ds1-10_kfreebsd-amd64.deb
 d5419730c7957c60573e257bab483ffe7e8e19663dc551a62a3ac91d908ed2fd 164984 geom_9.0+ds1-10_kfreebsd-amd64.deb
 3d53731e72565ce4e3f9e82dd446bef220648aff2f4a81cd714e7ad93ab30720 22798 freebsd-geom_9.0+ds1-10_kfreebsd-amd64.deb
 b429e5fd68f95039d5de96684661a25122261c60d090965cd84a7ee10173494a 278574 freebsd-ppp_9.0+ds1-10_kfreebsd-amd64.deb
 b4d6364054932a919f880699ed69466eda5d223bb984180f98c219f220c0b771 109352 devd_9.0+ds1-10_kfreebsd-amd64.deb
 445565ce167c2c545993910002d6b7d8c26a4abe5a8ba4deb8605c4c3ed61628 62716 devd-udeb_9.0+ds1-10_kfreebsd-amd64.udeb
 9fd471d7969dec59bce428cf9527dbaccd4c6b16b0a64396a72be6b43191bdab 57764 ktrace_9.0+ds1-10_kfreebsd-amd64.deb
 b5932cd419f98798d3643de9250c63d96eaf4d53a5417221da0f9c581b7dab0e 205680 pf_9.0+ds1-10_kfreebsd-amd64.deb
 1161c812e5c0b39f60ee23499e0cba5bd63b4acd1a0811d6b914cf16f76eb323 34184 powerd_9.0+ds1-10_kfreebsd-amd64.deb
 837e9811b451e2205e23480fe47bb56a19561d481650827ab59645ef3b0081eb 28646 mkuzip_9.0+ds1-10_kfreebsd-amd64.deb
Files: 
 33aa30be68bc0a67cd2da61995153da6 3442 utils important freebsd-utils_9.0+ds1-10.dsc
 6ef4cdb296d38f1cf0c4c9d849d9a6a4 140699 utils important freebsd-utils_9.0+ds1-10.debian.tar.gz
 63b451501c560d031f8d1c5ca26759f6 266140 utils required freebsd-utils_9.0+ds1-10_kfreebsd-amd64.deb
 6213d652bcbb181cc3d6615b4abab0fe 12284 debian-installer optional freebsd-utils-udeb_9.0+ds1-10_kfreebsd-amd64.udeb
 2881b515fc5d90295bcd21e733a3c81d 41832 utils important kldutils_9.0+ds1-10_kfreebsd-amd64.deb
 77dead7f5a87a1fce81ae5a2b34ed03e 6044 debian-installer optional kldutils-udeb_9.0+ds1-10_kfreebsd-amd64.udeb
 0b90db9f1afdfa9fe76fc26c886180da 124208 utils important kbdcontrol_9.0+ds1-10_kfreebsd-amd64.deb
 76330ed57ca05bab73942c2bd70ae65c 40668 debian-installer important kbdcontrol-udeb_9.0+ds1-10_kfreebsd-amd64.udeb
 d765a207cec76c6295af22925816dbe3 126326 utils important vidcontrol_9.0+ds1-10_kfreebsd-amd64.deb
 a4d2b8126f83b4368abed94a5fbf0d5a 225090 net important freebsd-net-tools_9.0+ds1-10_kfreebsd-amd64.deb
 dd5d98e92960fced201ee8beebd75e3c 67442 debian-installer important freebsd-net-tools-udeb_9.0+ds1-10_kfreebsd-amd64.udeb
 7bb86c53e324ba343bdd0f0cb93d15fa 71244 net optional freebsd-nfs-server_9.0+ds1-10_kfreebsd-amd64.deb
 beba33d493007f11d66298068a1b157c 79182 net standard freebsd-nfs-common_9.0+ds1-10_kfreebsd-amd64.deb
 9fd49fa0f78f1fcaed45a6b162f0ce3e 164984 admin standard geom_9.0+ds1-10_kfreebsd-amd64.deb
 ebd84706fe72355606d8c223321475a0 22798 admin standard freebsd-geom_9.0+ds1-10_kfreebsd-amd64.deb
 c079e0191a1f02300366ab6774d356a5 278574 net optional freebsd-ppp_9.0+ds1-10_kfreebsd-amd64.deb
 1497b39817c6de6565a450740dd511f4 109352 admin important devd_9.0+ds1-10_kfreebsd-amd64.deb
 86ab7711b69a8e52385305916f14a9ae 62716 debian-installer important devd-udeb_9.0+ds1-10_kfreebsd-amd64.udeb
 d8e37f37e296960a6cadf40a8c5f1977 57764 utils optional ktrace_9.0+ds1-10_kfreebsd-amd64.deb
 6d783b0d945906db0099017cd016ad70 205680 net important pf_9.0+ds1-10_kfreebsd-amd64.deb
 dcad9bf5b3868c890abb1b5421c5660a 34184 admin standard powerd_9.0+ds1-10_kfreebsd-amd64.deb
 9bcda2cd9eba25409462577c226f0849 28646 misc extra mkuzip_9.0+ds1-10_kfreebsd-amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/kFreeBSD)

iQIcBAEBCAAGBQJRRvRUAAoJEKv/7bJACMb5RmYQAKZBno5zxXYyAK3bYtb4z8HQ
hzp84Ng2xc3ZO3/WqbmnROM1VRP9kWxSsBGcpGt2Z4hWLFaATXLLes/hwThzkxx8
98hEl84r3jupI/ux9Jf8SCOsKsTHOgytsu8+ZTyRx9eBAkbDTMXst8a2xS3eJazD
WUDNZANjPXCH7j9nWP3+7FTxxhNXyRLhR37VX4+2DzFGuDpSEViyGKmkVSWTiXZB
GxECqX3mHx5nPnD198D4E/5Hbh3Y0VbfB33ClnEqhoGgb+oCOVWXXyAVwagPaiHa
Aep5uYVOzU6NS9AYR80sQn0frV4qOfFs/a4taa78NE+fC8B4x5gK0xnwAQwDpC59
Raj8GNGw9vumJY7EgZhYFa7QFq8qjOS77sD+bh8bYNbUdcdW6CZmrElr9RGRCurY
Uw13ShXyUNMAKebKu9ujBmcV6HAWWSJIYQku2ycxrrl1n0qti7GBPajRTGHFpL/5
KH5nGPV5nXemBBRwbuZuj3vx7hWdnsjuR8QXxmBL8yx6i95ac/nPpAPQrFUOan9f
US1hXHpjFTFwFgv/PsS6zBoBistGdzpza/FeNKMU4DtVKoLynt2VYNeGMRtPkyOq
foMX7j4jDh6AWeNoNN0RJePzqaU++U5Q/F++kQidfSSnHG27JPV66hwxAeu9eEsU
koEcGZSEctf6rWIlabUc
=bkuL
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 21 Apr 2013 07:26:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:19:53 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.